About

Retrieve the status of porting requests. Requests can be made at either the account or property level.

Resource URI

GET
/v2/Properties/{PropertySid}/Porting/Status
or
/v2/Accounts/{AccountSid}/Porting/Status

Request

URI Parameters

Parameter Type Description
PropertySid string Property secure identification to retrieve porting requests against.
AccountSid string Account secure identification to retrieve porting requests against.

Required Include Parameters

Parameter Type Description
From timestamp Filter results for status updates from this time.
To timestamp Filter results for status updates to this time.

Optional Include Parameters

Parameter Type Description
PortingRequestNumbers array List of specific porting request numbers to filter by.
Results_Count integer Specify the number of results to return. Default is 20.
Results_Skip integer Specify a number of records to skip before starting results.

Response

200 – OK

The server will respond with JSON containing a list of porting requests matching the criteria.

Note that all timestamp fields are specified as seconds since the unix epoch and all represented within UTC.

Response Parameters

Parameter Type Description
PortingRequests array A list of porting request objects.
TotalCount integer Total number of results matching the criteria.
NextPageToken string Token for retrieving the next page of results.

PortingRequest Object

Parameter Type Description
PortingNo string The unique identifier for the porting request.
AccountSid string The account identification associated with the request.
PropertySid string The property identification associated with the request.
CustomerDescription string Customer-provided description.
AuthorisedContactName string Name of the authorised contact person.
AuthorisedContactEmail string Email address of the authorised contact person.
DaytimeContactNumber string Daytime contact phone number.
CurrentCarrier string The current carrier.
CurrentCarrierAccountNo string The account number with the current carrier.
PreferredPortSchedule string Preferred schedule for the porting, options are “ASAP” and “Date”.
PreferredPortDate timestamp Preferred date for the porting to occur. Only required when PreferredPortSchedule is “Date”.
WebHookURL string URL to receive status update notifications.
Created timestamp The date and time the request was created.
PortDate timestamp The scheduled porting date.
Status string The current status of the porting request.
PortingNumbers array A list of numbers associated with this request and their status.

PortingNumber Object

Parameter Type Description
PortType string The type of porting. Currently only “Cat-A” is supported.
PortAddress string The address associated with the number.
IncomingActionType string Action to take for incoming calls. Options are “Answering Point” or “Flow”.
IncomingActionId string Identifier for the incoming action. Only required when IncomingActionType is “Flow”.
IncomingAnswerPoint string The destination for the incoming action. Only required when IncomingActionType is “Answering Point”.
Number string The phone number in E.164 format.
Status string The current status of this number in the porting process.
StatusHistory array A list of status history objects for this number.

PortingNumberStatusHistory Object

Parameter Type Description
FdxStatusFrom string The previous internal Fone Dynamics status.
FdxStatusTo string The new internal Fone Dynamics status.
CarrierPortingStatusFrom string The previous carrier porting status.
CarrierPortingStatusTo string The new carrier porting status.
Created timestamp The timestamp when the status history entry was created.

Example: An example response to the successful retrieval of porting requests status.

{
    "PortingRequests": [
        {
            "PortingNo": "P-000002",
            "AccountSid": "A5EQ333XCXHTRHUS5DEOXLLA36ZQSZQQ",
            "PropertySid": "S6QW1EZ21ZWLOKCTRUM5H43XB4UN7SHY",
            "CustomerDescription": "ABC022-Port",
            "AuthorisedContactName": "Jane Smith",
            "AuthorisedContactEmail": "[email protected]",
            "DaytimeContactNumber": "+61-1-1111-1111",
            "CurrentCarrier": "Telstra",
            "CurrentCarrierAccountNo": "99563325FDX",
            "PreferredPortSchedule": "Date",
            "PreferredPortDate": 1771113600,
            "WebHookURL": "https://webhook.site/a1c22227-65b6-46f9-8302-040a0bb64ec7",
            "Created": 1774950882,
            "PortDate": 1774915200,
            "Status": "Queued",
            "PortingNumbers": [
                {
                    "PortType": "Cat-A",
                    "PortAddress": "Level 10, 123 Example St, Spring Hill QLD 4000",
                    "IncomingActionType": "Answering Point",
                    "IncomingAnswerPoint": "+61111111111",
                    "Number": "+611111111112",
                    "Status": "Queued",
                    "StatusHistory": [
                        {
                            "FdxStatusFrom": "Received",
                            "FdxStatusTo": "Queued",
                            "CarrierPortingStatusFrom": "1",
                            "CarrierPortingStatusTo": "1",
                            "Created": 1774960019
                        }
                    ]
                }
            ]
        }
    ],
    "TotalCount": 1,
    "NextPageToken": "1"
}

400 – Error

For error codes and messages, please refer to the REST API Error Codes page.